%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This is an example to show you how to use 3-layers of ML-KELM.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% load the dataset
%
% input: trainH and testH are n x d dimensional matrix, where n is the number 
% of instance, and d is the number of features
% output: testH and testY are n x c dimensional matrix, where c is number
% of classes
load('cmc.mat')

%
% set the parameters
%
% regularization parameter: [C1, C2, C3] for each layer respectively
% kernel parameters: [SIG1, SIG2, SIG3] for each layer respectively
C1 = 1; C2 = 1; C3 = 1;
SIG1 = 1; SIG2 = 1; SIG3 = 1;

%
% MLKELM([trainY trainH], [testY testH], 1, regularization, 'RBF_kernel', kernel parameters, number of layer)
%
C1 = 1; C2 = 1; C3 = 1;
SIG1 = 1; SIG2 = 1; SIG3 = 1;
[TrainingTime, TestingTime, TrainingAccuracy, TestingAccuracy] = ...
MLKELM([trainY trainH], [testY testH], 1, [C1, C2, C3], 'RBF_kernel', [SIG1, SIG2, SIG3], 3)


